Bug 1663100 - Extra spaces in some options inside krb5.conf & other pages
Summary: Extra spaces in some options inside krb5.conf & other pages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: man-db
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Nikola Forró
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 07:03 UTC by amitkuma
Modified: 2021-02-01 07:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 07:31:32 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description amitkuma 2019-01-03 07:03:17 UTC
Description of problem:
# man krb5.conf
       pkinit_cert_match
              Specifies  matching  rules  that  the  client  certificate must match before it is used to attempt PKINIT authentication.
--> See extra space between "Specifies", "matching" and "rules"

       pkinit_pool
              Specifies the location of intermediate certificates which may be used by the client to complete the trust chain  between  a  KDC  certificate  and  a  trusted
              anchor.  This option may be specified multiple times.
--> See extra space between "chain", "between" "a"  ....


Version-Release number of selected component (if applicable):
krb5-pkinit-1.15.1-19.el7.x86_64

How reproducible:
All times

Steps to Reproduce:
1.
2.
3.

Actual results:
unnecessary spaces in man page

Expected results:
Format and spaces should be consistent

Additional info:

Comment 1 Robbie Harwood 2019-01-03 19:04:56 UTC
By default, the `man` tool justifies text - which means inserting garbage spaces, as you're observing.  I don't like this behavior either, so I pass `--nj` to disable it.

Comment 2 amitkuma 2019-01-04 06:21:06 UTC
ok!
But to end user/customer this issue is visible and few have reported as well. 
I feel to make our solution(RHEL) consistent and flawless this should be fixed!

1. Can't we fix this in lieu of spelling out in man man, may not be instantaneously
2. By the same token, Every customer don't know '--nj' :)

Comment 3 Robbie Harwood 2019-01-04 16:07:23 UTC
I hear your concerns, but I'm the wrong person to discuss them with.  Reassigning to man.

Comment 4 Nikola Forró 2019-01-04 16:38:23 UTC
So the proposal is to set MANOPT to "--no-justification" by default in RHEL?

Comment 7 RHEL Program Management 2021-02-01 07:31:32 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.